eole-workstation - Scénario #33484

Prendre en charge les postes windows 11
06/12/2021 17:06 - Gilles Grandgérard

Statut: Terminé (Sprint) Début: 07/02/2022
Priorité: Normal Echéance: 25/03/2022
Assigné a: Daniel Dehennin % réalisé: 100%
Catégorie: Temps estimé: 0.00 heure
Version cible: sprint 2022 06-12 Equipe MENSR Temps passé: 0.00 heure
Description

Probléme

Sur 2.7.2, nous fournissons la version 2018.3.3 et la version 3002.2 sur les versions supérieures.
Il faudrait passer a la version 3004 afin de prendre en charge les postes clients windows 11.

Dans le changelog de la version 3004 :

Starting in version 3004, the binary data has been separated from the configuration data. The user is allowed to choose the
install directory for Salt. The default is ProgramFiles\Salt Project\salt. All Salt binaries will be installed into the installation
directory. Configuration data is stored in the root_dir which has been changed from C:\salt to %ProgramData\Salt Project\Salt.
The root_dir can be changed from the default by setting the root_dir value in the minion config and then specifying that config

when starting the salt minion using the -c option.

Proposition
Il faut s’assurer de ne pas utiliser c:\salt en dur mais salt["config.get"]("config_dir").
® Le paquet eole-workstation-minion fourni la version 3004

¢ Le paquet eole-workstation-joineole installe la version 3004
¢ Le paquet eole-workstation-formula prend en charge la version 3004

Criteres d’acceptations

¢ Linstallation de joineole sur un poste windows 10 intégre bien la station au domaine (a tester sur etb1 et etb3).
¢ Linstallation de joineole sur un poste windows 11 intégre bien la station au domaine (a tester sur etb1 et etb3).

Sous-taches:

Tache # 33144: Scribe >=2.7.2 / Win11 : joineole impossible, traceback dans salt-minion... Fermé
Téache # 33785: eole-workstation-minion: fournir la version 3004 Fermé
Téache # 33786: eole-workstation-formula: prendre en charge la version 3004 Fermé
Téache # 33787: eole-workstation-joineole: installer la version 3004 Fermé
Téache # 33788: Tester la mise a jour des versions 2018.3.3 et 3002.2 vers 3004 Fermé
Téache # 33794: Mettre a niveau le GPO avec le nouveau script installMinion pour salt 3004 Fermé
Demandes liées:
Lié a Distribution EOLE - Tache #33967: Mise a jour de sécurité salt Fermé 25/03/2022 15/04/2022
Historique
#1 - 10/12/2021 12:15 - Gilles Grandgérard
- Tracker changé de Demande a Scénario
- Début 06/12/2021 supprimé
#2 - 10/01/2022 14:57 - Gilles Grandgérard
- Echéance mis & 04/02/2022
- Version cible mis a sprint 2022 03-05 Equipe MENSR
- Début mis a 17/01/2022

#3 - 04/02/2022 16:52 - Gilles Grandgérard

Ces deux variables config_dir et root_dir sont en fait dans la configuration du minion
Il'y a méme pki_dir
du coup ¢a donne un truc comme:

diff --git a/eole-workstation/salt/minion/config/dir.sls b/eole-workstation/salt/minion/config/dir.sls
index 6a3f79b..ald4ddd5 100644
—-—— a/eole-workstation/salt/minion/config/dir.sls
+++ b/eole-workstation/salt/minion/config/dir.sls
@@ -8,13 +8,7 @@
{$- from tplroot ~ '/libtofs.jinja' import files_switch with context %}

{%— set saltstack = ews.salt %}

—{%- if grains['os_family'] == 'Windows' %}
-{%- set system_drive = salt['environ.get'] ('SYSTEMDRIVE', 'C:') %}
—{%- set config_dir = system_drive ~ saltstack.minion.config %}
—{%- else %}
-{%- set config_dir = saltstack.minion.config %}
—{%- endif %}
+{%- set config_dir = salt["config.get"] ("config_dir") %}
include:

- {{ sls_package_install }}

#4 - 07/02/2022 09:59 - Joél Cuissinat
- Version cible changé de sprint 2022 03-05 Equipe MENSR a sprint 2022 06-12 Equipe MENSR

- Points de scénarios mis a 2.0

#5 - 07/02/2022 10:55 - Daniel Dehennin

- Projet changé de Distribution EOLE a eole-workstation

- Sujet changé de SaltStack 3004 : changement de répertoire a Prendre en charge les postes windows 11
- Description mis a jour

- Points de scénarios 2.0 supprimé

#6 - 07/02/2022 11:06 - Daniel Dehennin

- Description mis a jour
#7 - 07/02/2022 11:26 - Daniel Dehennin

- Description mis a jour

#8 - 07/02/2022 11:27 - Daniel Dehennin

- Description mis a jour

#9 - 08/02/2022 09:34 - Daniel Dehennin
Il semble y avoir un bug dans l'installeur 3004-3.

#10 - 25/03/2022 15:23 - Joél Cuissinat

- Lié a Tache #33967: Mise a jour de sécurité salt ajouté

#11 - 25/03/2022 15:43 - Joél Cuissinat

- Statut changé de Nouveau a Terminé (Sprint)
- Assigné a mis a Daniel Dehennin

- Release mis a EOLE 2.7.2

- Points de scénarios mis a 4.0

Le test est OK mais la diffusion est retardée a cause d'une faille de sécu annoncée : #33967
https://dev-eole.ac-dijon.fr/jenkins/job/2.8.1/view/developpement/job/test-etb1-scribe-salt-upgrade-ancienne-win10-2.8.1-amd64/
https://github.com/saltstack/salt/issues/61485
https://dev-eole.ac-dijon.fr/issues/33967
https://dev-eole.ac-dijon.fr/jenkins/job/2.8.1/view/developpement/job/test-etb1-scribe-salt-upgrade-ancienne-win10-2.8.1-amd64/
